﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Fractarc
{
    public class DirPointD
    {
        public double X;
        public double Y;
        public double Dir; // direction angle

        public void CloneFrom(DirPointD a)
        {
            X = a.X;
            Y = a.Y;
            Dir = a.Dir;
        }
        public DirPointD Clone()
        {
            DirPointD p = new DirPointD();
            p.X = X;
            p.Y = Y;
            p.Dir = Dir;
            return p;
        }

        public static string ToCSVHeader(string parent)
        {
            return $"{parent}.X,{parent}.Y,{parent}.Dir";
        }

        public string ToCSV()
        {
            return $"{X},{Y},{Dir}";

        }

    }
}
